## Index

### Interfaces

- CopyOptions
- CopyOptionsSync
- MoveOptions
- PathEntry
- PathEntryStream
- ReadOptions
- ReadResult
- WriteFileOptions
- WriteOptions
- WriteResult

### Type aliases

- CopyFilterAsync
- CopyFilterSync
- FsSymlinkType
- SymlinkType

### Functions

- access
- appendFile
- chmod
- chown
- close
- copy
- copySync
- createFile
- createFileSync
- emptyDir
- emptyDirSync
- ensureDir
- ensureDirSync
- ensureFile
- ensureFileSync
- ensureLink
- ensureLinkSync
- ensureSymlink
- ensureSymlinkSync
- fchmod
- fchown
- fdatasync
- fstat
- fsync
- ftruncate
- futimes
- lchown
- link
- lstat
- mkdir
- mkdirp
- mkdirpSync
- mkdirs
- mkdirsSync
- mkdtemp
- move
- moveSync
- open
- outputFile
- outputFileSync
- outputJSON
- outputJSONSync
- outputJson
- outputJsonSync
- pathExists
- pathExistsSync
- read
- readFile
- readJSON
- readJSONSync
- readJson
- readJsonSync
- readdir
- readlink
- realpath
- remove
- removeSync
- rename
- rmdir
- stat
- symlink
- truncate
- unlink
- utimes
- write
- writeFile
- writeJSON
- writeJSONSync
- writeJson
- writeJsonSync

## Type aliases

### CopyFilterAsync

CopyFilterAsync: function

- Defined in node_modules/@types/fs-extra/index.d.ts:261

#### Type declaration

- - (src: string, dest: string): Promise<boolean>

  - #### Parameters

    - ##### src: string

    - ##### dest: string

    #### Returns Promise<boolean>

### CopyFilterSync

CopyFilterSync: function

- Defined in node_modules/@types/fs-extra/index.d.ts:260

#### Type declaration

- - (src: string, dest: string): boolean

  - #### Parameters

    - ##### src: string

    - ##### dest: string

    #### Returns boolean

### FsSymlinkType

FsSymlinkType: "dir" | "file" | "junction"

- Defined in node_modules/@types/fs-extra/index.d.ts:264

### SymlinkType

SymlinkType: "dir" | "file"

- Defined in node_modules/@types/fs-extra/index.d.ts:263

## Functions

### access

- access(path: string | Buffer, callback: function): void
- access(path: string | Buffer, mode: number, callback: function): void
- access(path: string | Buffer, mode?: undefined | number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:105

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:106

  #### Parameters

  - ##### path: string | Buffer

  - ##### mode: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:107

  #### Parameters

  - ##### path: string | Buffer

  - ##### Optional mode: undefined | number

  #### Returns Promise<void>

### appendFile

- appendFile(file: string | Buffer | number, data: any, options: object, callback: function): void
- appendFile(file: string | Buffer | number, data: any, callback: function): void
- appendFile(file: string | Buffer | number, data: any, options?: undefined | object): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:109

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### options: object

    - ##### Optional encoding?: undefined | string

    - ##### Optional flag?: undefined | string

    - ##### Optional mode?: number | string

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:111

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:112

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### Optional options: undefined | object

  #### Returns Promise<void>

### chmod

- chmod(path: string | Buffer, mode: string | number, callback: function): void
- chmod(path: string | Buffer, mode: string | number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:114

  #### Parameters

  - ##### path: string | Buffer

  - ##### mode: string | number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:115

  #### Parameters

  - ##### path: string | Buffer

  - ##### mode: string | number

  #### Returns Promise<void>

### chown

- chown(path: string | Buffer, uid: number, gid: number): Promise<void>
- chown(path: string | Buffer, uid: number, gid: number, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:117

  #### Parameters

  - ##### path: string | Buffer

  - ##### uid: number

  - ##### gid: number

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:118

  #### Parameters

  - ##### path: string | Buffer

  - ##### uid: number

  - ##### gid: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

### close

- close(fd: number, callback: function): void
- close(fd: number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:120

  #### Parameters

  - ##### fd: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:121

  #### Parameters

  - ##### fd: number

  #### Returns Promise<void>

### copy

- copy(src: string, dest: string, options?: CopyOptions): Promise<void>
- copy(src: string, dest: string, callback: function): void
- copy(src: string, dest: string, options: CopyOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:18

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional options: CopyOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:19

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:20

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### options: CopyOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### copySync

- copySync(src: string, dest: string, options?: CopyOptionsSync): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:21

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional options: CopyOptionsSync

  #### Returns void

### createFile

- createFile(file: string): Promise<void>
- createFile(file: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:28

  #### Parameters

  - ##### file: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:29

  #### Parameters

  - ##### file: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### createFileSync

- createFileSync(file: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:30

  #### Parameters

  - ##### file: string

  #### Returns void

### emptyDir

- emptyDir(path: string): Promise<void>
- emptyDir(path: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:94

  #### Parameters

  - ##### path: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:95

  #### Parameters

  - ##### path: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### emptyDirSync

- emptyDirSync(path: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:96

  #### Parameters

  - ##### path: string

  #### Returns void

### ensureDir

- ensureDir(path: string): Promise<void>
- ensureDir(path: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:32

  #### Parameters

  - ##### path: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:33

  #### Parameters

  - ##### path: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### ensureDirSync

- ensureDirSync(path: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:34

  #### Parameters

  - ##### path: string

  #### Returns void

### ensureFile

- ensureFile(path: string): Promise<void>
- ensureFile(path: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:81

  #### Parameters

  - ##### path: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:82

  #### Parameters

  - ##### path: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### ensureFileSync

- ensureFileSync(path: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:83

  #### Parameters

  - ##### path: string

  #### Returns void

### ensureLink

- ensureLink(src: string, dest: string): Promise<void>
- ensureLink(src: string, dest: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:85

  #### Parameters

  - ##### src: string

  - ##### dest: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:86

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### ensureLinkSync

- ensureLinkSync(src: string, dest: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:87

  #### Parameters

  - ##### src: string

  - ##### dest: string

  #### Returns void

### ensureSymlink

- ensureSymlink(src: string, dest: string, type?: SymlinkType): Promise<void>
- ensureSymlink(src: string, dest: string, type: SymlinkType, callback: function): void
- ensureSymlink(src: string, dest: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:89

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional type: SymlinkType

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:90

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### type: SymlinkType

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:91

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### ensureSymlinkSync

- ensureSymlinkSync(src: string, dest: string, type?: SymlinkType): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:92

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional type: SymlinkType

  #### Returns void

### fchmod

- fchmod(fd: number, mode: string | number, callback: function): void
- fchmod(fd: number, mode: string | number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:123

  #### Parameters

  - ##### fd: number

  - ##### mode: string | number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:124

  #### Parameters

  - ##### fd: number

  - ##### mode: string | number

  #### Returns Promise<void>

### fchown

- fchown(fd: number, uid: number, gid: number, callback: function): void
- fchown(fd: number, uid: number, gid: number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:126

  #### Parameters

  - ##### fd: number

  - ##### uid: number

  - ##### gid: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:127

  #### Parameters

  - ##### fd: number

  - ##### uid: number

  - ##### gid: number

  #### Returns Promise<void>

### fdatasync

- fdatasync(fd: number, callback: function): void
- fdatasync(fd: number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:129

  #### Parameters

  - ##### fd: number

  - ##### callback: function

    - - (): void

      - #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:130

  #### Parameters

  - ##### fd: number

  #### Returns Promise<void>

### fstat

- fstat(fd: number, callback: function): void
- fstat(fd: number): Promise<Stats>

- - Defined in node_modules/@types/fs-extra/index.d.ts:132

  #### Parameters

  - ##### fd: number

  - ##### callback: function

    - - (err: ErrnoException, stats: Stats): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### stats: Stats

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:133

  #### Parameters

  - ##### fd: number

  #### Returns Promise<Stats>

### fsync

- fsync(fd: number, callback: function): void
- fsync(fd: number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:135

  #### Parameters

  - ##### fd: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:136

  #### Parameters

  - ##### fd: number

  #### Returns Promise<void>

### ftruncate

- ftruncate(fd: number, callback: function): void
- ftruncate(fd: number, len: number, callback: function): void
- ftruncate(fd: number, len?: undefined | number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:138

  #### Parameters

  - ##### fd: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:139

  #### Parameters

  - ##### fd: number

  - ##### len: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:140

  #### Parameters

  - ##### fd: number

  - ##### Optional len: undefined | number

  #### Returns Promise<void>

### futimes

- futimes(fd: number, atime: number, mtime: number, callback: function): void
- futimes(fd: number, atime: Date, mtime: Date, callback: function): void
- futimes(fd: number, atime: number, mtime: number): Promise<void>
- futimes(fd: number, atime: Date, mtime: Date): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:142

  #### Parameters

  - ##### fd: number

  - ##### atime: number

  - ##### mtime: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:143

  #### Parameters

  - ##### fd: number

  - ##### atime: Date

  - ##### mtime: Date

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:144

  #### Parameters

  - ##### fd: number

  - ##### atime: number

  - ##### mtime: number

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:145

  #### Parameters

  - ##### fd: number

  - ##### atime: Date

  - ##### mtime: Date

  #### Returns Promise<void>

### lchown

- lchown(path: string | Buffer, uid: number, gid: number, callback: function): void
- lchown(path: string | Buffer, uid: number, gid: number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:147

  #### Parameters

  - ##### path: string | Buffer

  - ##### uid: number

  - ##### gid: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:148

  #### Parameters

  - ##### path: string | Buffer

  - ##### uid: number

  - ##### gid: number

  #### Returns Promise<void>

### link

- link(srcpath: string | Buffer, dstpath: string | Buffer, callback: function): void
- link(srcpath: string | Buffer, dstpath: string | Buffer): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:150

  #### Parameters

  - ##### srcpath: string | Buffer

  - ##### dstpath: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:151

  #### Parameters

  - ##### srcpath: string | Buffer

  - ##### dstpath: string | Buffer

  #### Returns Promise<void>

### lstat

- lstat(path: string | Buffer, callback: function): void
- lstat(path: string | Buffer): Promise<Stats>

- - Defined in node_modules/@types/fs-extra/index.d.ts:153

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException, stats: Stats): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### stats: Stats

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:154

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<Stats>

### mkdir

- mkdir(path: string | Buffer, callback: function): void
- mkdir(path: string | Buffer, mode: number | string, callback: function): void
- mkdir(path: string | Buffer): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:161

  Asynchronous mkdir - creates the directory specified in {path}. Parameter {mode} defaults to 0777.

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    No arguments other than a possible exception are given to the completion callback.

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:167

  Asynchronous mkdir - creates the directory specified in {path}. Parameter {mode} defaults to 0777.

  #### Parameters

  - ##### path: string | Buffer

  - ##### mode: number | string

  - ##### callback: function

    No arguments other than a possible exception are given to the completion callback.

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:168

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<void>

### mkdirp

- mkdirp(dir: string): Promise<void>
- mkdirp(dir: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:38

  #### Parameters

  - ##### dir: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:39

  #### Parameters

  - ##### dir: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### mkdirpSync

- mkdirpSync(dir: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:41

  #### Parameters

  - ##### dir: string

  #### Returns void

### mkdirs

- mkdirs(dir: string): Promise<void>
- mkdirs(dir: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:36

  #### Parameters

  - ##### dir: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:37

  #### Parameters

  - ##### dir: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### mkdirsSync

- mkdirsSync(dir: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:40

  #### Parameters

  - ##### dir: string

  #### Returns void

### mkdtemp

- mkdtemp(prefix: string): Promise<string>
- mkdtemp(prefix: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:248

  Asynchronous mkdtemp - Creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  #### Returns Promise<string>

- - Defined in node_modules/@types/fs-extra/index.d.ts:249

  #### Parameters

  - ##### prefix: string

  - ##### callback: function

    - - (err: ErrnoException, folder: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### folder: string

        #### Returns void

### move

- move(src: string, dest: string, options?: MoveOptions): Promise<void>
- move(src: string, dest: string, callback: function): void
- move(src: string, dest: string, options: MoveOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:23

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional options: MoveOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:24

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:25

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### options: MoveOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### moveSync

- moveSync(src: string, dest: string, options?: MoveOptions): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:26

  #### Parameters

  - ##### src: string

  - ##### dest: string

  - ##### Optional options: MoveOptions

  #### Returns void

### open

- open(path: string | Buffer, flags: string | number, callback: function): void
- open(path: string | Buffer, flags: string | number, mode: number, callback: function): void
- open(path: string | Buffer, flags: string | number, mode?: undefined | number): Promise<number>

- - Defined in node_modules/@types/fs-extra/index.d.ts:170

  #### Parameters

  - ##### path: string | Buffer

  - ##### flags: string | number

  - ##### callback: function

    - - (err: ErrnoException, fd: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### fd: number

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:171

  #### Parameters

  - ##### path: string | Buffer

  - ##### flags: string | number

  - ##### mode: number

  - ##### callback: function

    - - (err: ErrnoException, fd: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### fd: number

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:172

  #### Parameters

  - ##### path: string | Buffer

  - ##### flags: string | number

  - ##### Optional mode: undefined | number

  #### Returns Promise<number>

### outputFile

- outputFile(file: string, data: any, options?: WriteFileOptions | string): Promise<void>
- outputFile(file: string, data: any, callback: function): void
- outputFile(file: string, data: any, options: WriteFileOptions | string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:43

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteFileOptions | string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:44

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:45

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### options: WriteFileOptions | string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### outputFileSync

- outputFileSync(file: string, data: any, options?: WriteFileOptions | string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:46

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteFileOptions | string

  #### Returns void

### outputJSON

- outputJSON(file: string, data: any, options?: WriteOptions): Promise<void>
- outputJSON(file: string, data: any, options: WriteOptions, callback: function): void
- outputJSON(file: string, data: any, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:62

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:63

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### options: WriteOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:64

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### outputJSONSync

- outputJSONSync(file: string, data: any, options?: WriteOptions): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:69

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteOptions

  #### Returns void

### outputJson

- outputJson(file: string, data: any, options?: WriteOptions): Promise<void>
- outputJson(file: string, data: any, options: WriteOptions, callback: function): void
- outputJson(file: string, data: any, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:65

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:66

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### options: WriteOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:67

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### outputJsonSync

- outputJsonSync(file: string, data: any, options?: WriteOptions): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:68

  #### Parameters

  - ##### file: string

  - ##### data: any

  - ##### Optional options: WriteOptions

  #### Returns void

### pathExists

- pathExists(path: string): Promise<boolean>
- pathExists(path: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:98

  #### Parameters

  - ##### path: string

  #### Returns Promise<boolean>

- - Defined in node_modules/@types/fs-extra/index.d.ts:99

  #### Parameters

  - ##### path: string

  - ##### callback: function

    - - (err: Error, exists: boolean): void

      - #### Parameters

        - ##### err: Error

        - ##### exists: boolean

        #### Returns void

### pathExistsSync

- pathExistsSync(path: string): boolean

- - Defined in node_modules/@types/fs-extra/index.d.ts:100

  #### Parameters

  - ##### path: string

  #### Returns boolean

### read

- read(fd: number, buffer: Buffer, offset: number, length: number, position: number | null, callback: function): void
- read(fd: number, buffer: Buffer, offset: number, length: number, position: number | null): Promise<ReadResult>

- - Defined in node_modules/@types/fs-extra/index.d.ts:174

  #### Parameters

  - ##### fd: number

  - ##### buffer: Buffer

  - ##### offset: number

  - ##### length: number

  - ##### position: number | null

  - ##### callback: function

    - - (err: ErrnoException, bytesRead: number, buffer: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### bytesRead: number

        - ##### buffer: Buffer

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:176

  #### Parameters

  - ##### fd: number

  - ##### buffer: Buffer

  - ##### offset: number

  - ##### length: number

  - ##### position: number | null

  #### Returns Promise<ReadResult>

### readFile

- readFile(file: string | Buffer | number, callback: function): void
- readFile(file: string | Buffer | number, encoding: string, callback: function): void
- readFile(file: string | Buffer | number, options: object | object, callback: function): void
- readFile(file: string | Buffer | number, options: object | object): Promise<string>
- readFile(file: string | Buffer | number, encoding: string): Promise<string>
- readFile(file: string | Buffer | number): Promise<Buffer>

- - Defined in node_modules/@types/fs-extra/index.d.ts:178

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### callback: function

    - - (err: ErrnoException, data: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### data: Buffer

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:179

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### encoding: string

  - ##### callback: function

    - - (err: ErrnoException, data: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### data: string

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:180

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### options: object | object

  - ##### callback: function

    - - (err: ErrnoException, data: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### data: Buffer

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:181

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### options: object | object

  #### Returns Promise<string>

- - Defined in node_modules/@types/fs-extra/index.d.ts:183

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### encoding: string

  #### Returns Promise<string>

- - Defined in node_modules/@types/fs-extra/index.d.ts:184

  #### Parameters

  - ##### file: string | Buffer | number

  #### Returns Promise<Buffer>

### readJSON

- readJSON(file: string, options?: ReadOptions): Promise<any>
- readJSON(file: string, callback: function): void
- readJSON(file: string, options: ReadOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:51

  #### Parameters

  - ##### file: string

  - ##### Optional options: ReadOptions

  #### Returns Promise<any>

- - Defined in node_modules/@types/fs-extra/index.d.ts:52

  #### Parameters

  - ##### file: string

  - ##### callback: function

    - - (err: Error, jsonObject: any): void

      - #### Parameters

        - ##### err: Error

        - ##### jsonObject: any

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:53

  #### Parameters

  - ##### file: string

  - ##### options: ReadOptions

  - ##### callback: function

    - - (err: Error, jsonObject: any): void

      - #### Parameters

        - ##### err: Error

        - ##### jsonObject: any

        #### Returns void

### readJSONSync

- readJSONSync(file: string, options?: ReadOptions): any

- - Defined in node_modules/@types/fs-extra/index.d.ts:56

  #### Parameters

  - ##### file: string

  - ##### Optional options: ReadOptions

  #### Returns any

### readJson

- readJson(file: string, options?: ReadOptions): Promise<any>
- readJson(file: string, callback: function): void
- readJson(file: string, options: ReadOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:48

  #### Parameters

  - ##### file: string

  - ##### Optional options: ReadOptions

  #### Returns Promise<any>

- - Defined in node_modules/@types/fs-extra/index.d.ts:49

  #### Parameters

  - ##### file: string

  - ##### callback: function

    - - (err: Error, jsonObject: any): void

      - #### Parameters

        - ##### err: Error

        - ##### jsonObject: any

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:50

  #### Parameters

  - ##### file: string

  - ##### options: ReadOptions

  - ##### callback: function

    - - (err: Error, jsonObject: any): void

      - #### Parameters

        - ##### err: Error

        - ##### jsonObject: any

        #### Returns void

### readJsonSync

- readJsonSync(file: string, options?: ReadOptions): any

- - Defined in node_modules/@types/fs-extra/index.d.ts:55

  #### Parameters

  - ##### file: string

  - ##### Optional options: ReadOptions

  #### Returns any

### readdir

- readdir(path: string | Buffer, callback: function): void
- readdir(path: string | Buffer): Promise<string[]>

- - Defined in node_modules/@types/fs-extra/index.d.ts:186

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException, files: string[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### files: string[]

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:187

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<string[]>

### readlink

- readlink(path: string | Buffer, callback: function): void
- readlink(path: string | Buffer): Promise<string>

- - Defined in node_modules/@types/fs-extra/index.d.ts:189

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException, linkString: string): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### linkString: string

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:190

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<string>

### realpath

- realpath(path: string | Buffer, callback: function): void
- realpath(path: string | Buffer, cache: object, callback: function): void
- realpath(path: string | Buffer, cache?: undefined | object): Promise<string>

- - Defined in node_modules/@types/fs-extra/index.d.ts:192

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException, resolvedPath: string): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### resolvedPath: string

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:193

  #### Parameters

  - ##### path: string | Buffer

  - ##### cache: object

    - ##### [path: string]: string

  - ##### callback: function

    - - (err: ErrnoException, resolvedPath: string): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### resolvedPath: string

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:194

  #### Parameters

  - ##### path: string | Buffer

  - ##### Optional cache: undefined | object

  #### Returns Promise<string>

### remove

- remove(dir: string): Promise<void>
- remove(dir: string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:58

  #### Parameters

  - ##### dir: string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:59

  #### Parameters

  - ##### dir: string

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### removeSync

- removeSync(dir: string): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:60

  #### Parameters

  - ##### dir: string

  #### Returns void

### rename

- rename(oldPath: string, newPath: string, callback: function): void
- rename(oldPath: string, newPath: string): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:196

  #### Parameters

  - ##### oldPath: string

  - ##### newPath: string

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:197

  #### Parameters

  - ##### oldPath: string

  - ##### newPath: string

  #### Returns Promise<void>

### rmdir

- rmdir(path: string | Buffer, callback: function): void
- rmdir(path: string | Buffer): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:204

  Asynchronous rmdir - removes the directory specified in {path}

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    No arguments other than a possible exception are given to the completion callback.

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:205

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<void>

### stat

- stat(path: string | Buffer, callback: function): void
- stat(path: string | Buffer): Promise<Stats>

- - Defined in node_modules/@types/fs-extra/index.d.ts:207

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException, stats: Stats): any

      - #### Parameters

        - ##### err: ErrnoException

        - ##### stats: Stats

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:208

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<Stats>

### symlink

- symlink(srcpath: string | Buffer, dstpath: string | Buffer, type: FsSymlinkType | undefined, callback: function): void
- symlink(srcpath: string | Buffer, dstpath: string | Buffer, callback: function): void
- symlink(srcpath: string | Buffer, dstpath: string | Buffer, type?: FsSymlinkType): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:210

  #### Parameters

  - ##### srcpath: string | Buffer

  - ##### dstpath: string | Buffer

  - ##### type: FsSymlinkType | undefined

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:211

  #### Parameters

  - ##### srcpath: string | Buffer

  - ##### dstpath: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:212

  #### Parameters

  - ##### srcpath: string | Buffer

  - ##### dstpath: string | Buffer

  - ##### Optional type: FsSymlinkType

  #### Returns Promise<void>

### truncate

- truncate(path: string | Buffer, callback: function): void
- truncate(path: string | Buffer, len: number, callback: function): void
- truncate(path: string | Buffer, len?: undefined | number): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:214

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:215

  #### Parameters

  - ##### path: string | Buffer

  - ##### len: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:216

  #### Parameters

  - ##### path: string | Buffer

  - ##### Optional len: undefined | number

  #### Returns Promise<void>

### unlink

- unlink(path: string | Buffer, callback: function): void
- unlink(path: string | Buffer): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:223

  Asynchronous unlink - deletes the file specified in {path}

  #### Parameters

  - ##### path: string | Buffer

  - ##### callback: function

    No arguments other than a possible exception are given to the completion callback.

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:224

  #### Parameters

  - ##### path: string | Buffer

  #### Returns Promise<void>

### utimes

- utimes(path: string | Buffer, atime: number, mtime: number, callback: function): void
- utimes(path: string | Buffer, atime: Date, mtime: Date, callback: function): void
- utimes(path: string | Buffer, atime: number, mtime: number): Promise<void>
- utimes(path: string | Buffer, atime: Date, mtime: Date): Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:226

  #### Parameters

  - ##### path: string | Buffer

  - ##### atime: number

  - ##### mtime: number

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:227

  #### Parameters

  - ##### path: string | Buffer

  - ##### atime: Date

  - ##### mtime: Date

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:228

  #### Parameters

  - ##### path: string | Buffer

  - ##### atime: number

  - ##### mtime: number

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:229

  #### Parameters

  - ##### path: string | Buffer

  - ##### atime: Date

  - ##### mtime: Date

  #### Returns Promise<void>

### write

- write(fd: number, buffer: Buffer, offset: number, length: number, position: number | null, callback: function): void
- write(fd: number, buffer: Buffer, offset: number, length: number, callback: function): void
- write(fd: number, data: any, callback: function): void
- write(fd: number, data: any, offset: number, callback: function): void
- write(fd: number, data: any, offset: number, encoding: string, callback: function): void
- write(fd: number, buffer: Buffer, offset: number, length: number, position?: number | null): Promise<WriteResult>
- write(fd: number, data: any, offset: number, encoding?: undefined | string): Promise<WriteResult>

- - Defined in node_modules/@types/fs-extra/index.d.ts:231

  #### Parameters

  - ##### fd: number

  - ##### buffer: Buffer

  - ##### offset: number

  - ##### length: number

  - ##### position: number | null

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: Buffer

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:232

  #### Parameters

  - ##### fd: number

  - ##### buffer: Buffer

  - ##### offset: number

  - ##### length: number

  - ##### callback: function

    - - (err: ErrnoException, written: number, buffer: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### buffer: Buffer

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:233

  #### Parameters

  - ##### fd: number

  - ##### data: any

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:234

  #### Parameters

  - ##### fd: number

  - ##### data: any

  - ##### offset: number

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:235

  #### Parameters

  - ##### fd: number

  - ##### data: any

  - ##### offset: number

  - ##### encoding: string

  - ##### callback: function

    - - (err: ErrnoException, written: number, str: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### written: number

        - ##### str: string

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:236

  #### Parameters

  - ##### fd: number

  - ##### buffer: Buffer

  - ##### offset: number

  - ##### length: number

  - ##### Optional position: number | null

  #### Returns Promise<WriteResult>

- - Defined in node_modules/@types/fs-extra/index.d.ts:237

  #### Parameters

  - ##### fd: number

  - ##### data: any

  - ##### offset: number

  - ##### Optional encoding: undefined | string

  #### Returns Promise<WriteResult>

### writeFile

- writeFile(file: string | Buffer | number, data: any, callback: function): void
- writeFile(file: string | Buffer | number, data: any, options?: WriteFileOptions | string): Promise<void>
- writeFile(file: string | Buffer | number, data: any, options: WriteFileOptions | string, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:239

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:240

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### Optional options: WriteFileOptions | string

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:241

  #### Parameters

  - ##### file: string | Buffer | number

  - ##### data: any

  - ##### options: WriteFileOptions | string

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

### writeJSON

- writeJSON(file: string, object: any, options?: WriteOptions): Promise<void>
- writeJSON(file: string, object: any, callback: function): void
- writeJSON(file: string, object: any, options: WriteOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:71

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### Optional options: WriteOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:72

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:73

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### options: WriteOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### writeJSONSync

- writeJSONSync(file: string, object: any, options?: WriteOptions): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:79

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### Optional options: WriteOptions

  #### Returns void

### writeJson

- writeJson(file: string, object: any, options?: WriteOptions): Promise<void>
- writeJson(file: string, object: any, callback: function): void
- writeJson(file: string, object: any, options: WriteOptions, callback: function): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:74

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### Optional options: WriteOptions

  #### Returns Promise<void>

- - Defined in node_modules/@types/fs-extra/index.d.ts:75

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

- - Defined in node_modules/@types/fs-extra/index.d.ts:76

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### options: WriteOptions

  - ##### callback: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

### writeJsonSync

- writeJsonSync(file: string, object: any, options?: WriteOptions): void

- - Defined in node_modules/@types/fs-extra/index.d.ts:78

  #### Parameters

  - ##### file: string

  - ##### object: any

  - ##### Optional options: WriteOptions

  #### Returns void

Generated using TypeDoc